Subject: Re: "minimal subset" flow specification

From: [email-masked] (Mark Garrett)
Date: Wed, 23 Nov 1994 15:55:56 -0500

There is a thread developing on rsvp that really belongs on
int-serv (so I'm cross posting, hoping the discussion will follow).

>Craig Partridge:
>I have problems with the type 1 flow spec suggested in your note,
>in that I don't think mean bandwidth is a useful measure unless one specifies
>the interval during which the bandwidth must converge to the mean.

>>Fred Baker:
>>Is that something it can actually specify?
>>OK, now I am an application guy, I have absolutely no
>>idea what the camera is going to see in the next hour, and I need to
>>reserve a flow NOW to display it. What I know is that I have an MPEG codec.
>>Seems like I am going to initially reserve for an average rate of 5 MBPS
>>and a peak of 12, and I might adjust my reservation over time as I observe
>>the output of the codec, but I have no intrinsic knowledge of the time
>>intervals over which those will happen.

Not only is the mean rate a bad spec because its measurement is
ill-defined without an averaging interval, but it also doesn't
give you the right information to do what you want.

Suppose you do have an MPEG coder running in variable-rate mode.
To get statistical multiplexing gain you will mix the traffic
from many such sources and allocate the total class less than the
sum of the peaks.  (If they got the sum of the peaks, you might
as well isolate them into CBR channels and call it guaranteed.)
Now, the mean bandwidth is the minimum bandwidth you can allocate
for each flow without having loss.  And it only works in the limit
as the number of sources increases.  So for a finite number of
sources you need to allocate each somewhere between mean and peak,
and you can only know how to do that if you know something about
the traffic and the sensitivity of the application to the kinds
of loss patterns which occur given your source mix and available
bandwidth.

So what you really want is an indication that this source is a VBR
MPEG running with XYZ rules on the quantizers.  Then the net knows
what to mix it with and how much to increase the shared bw pool
when adding this source into the mix.  You also know the mean
bandwidth, for some definition of mean, because you have a lot
of experience with the traffic from that type of coder, or else
you wouldn't know your allocation rules.  But whereas the necessary
source characterization gives you the mean, the mean doesn't
give you what you need to know.

This can (and eventually will) get into a much longer discussion,
leading to a better understanding of traffic description for
stat muxed traffic.

-Mark Garrett

-------------------------------------------------------------------------------
			Bellcore   Rm. 2L-237			+1 201 829-4439
Mark W. Garrett		445 South St.			[email-masked]
			Morristown NJ 07960-6438  USA	     (FAX 201 829-2504)
                        WWW: ftp://thumper.bellcore.com/pub/mwg/homepage.html
-------------------------------------------------------------------------------